Package org.apache.sling.hamcrest.matchers

## Class ResourceCollectionPathMatcher

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.TypeSafeMatcher<Collection<org.apache.sling.api.resource.Resource>>
    - - org.apache.sling.hamcrest.matchers.ResourceCollectionPathMatcher

All Implemented Interfaces:
  `org.hamcrest.Matcher<Collection<org.apache.sling.api.resource.Resource>>`, `org.hamcrest.SelfDescribing`

    public class ResourceCollectionPathMatcher
    extends org.hamcrest.TypeSafeMatcher<Collection<org.apache.sling.api.resource.Resource>>

Ensures a collection of resources has exactly the given list of paths in the given order.

### Constructor Summary

Constructors
`ResourceCollectionPathMatcher​(List<String> paths)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `describeMismatchSafely​(Collection<org.apache.sling.api.resource.Resource> items, org.hamcrest.Description mismatchDescription)`
`void` `describeTo​(org.hamcrest.Description description)`
`protected boolean` `matchesSafely​(Collection<org.apache.sling.api.resource.Resource> items)`

### Methods inherited from class org.hamcrest.TypeSafeMatcher

`describeMismatch, matches`

### Methods inherited from class org.hamcrest.BaseMatcher

`_dont_implement_Matcher___instead_extend_BaseMatcher_, isNotNull, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResourceCollectionPathMatcher

    public ResourceCollectionPathMatcher​(List<String> paths)

### Method Detail

#### describeTo

    public void describeTo​(org.hamcrest.Description description)

#### matchesSafely

    protected boolean matchesSafely​(Collection<org.apache.sling.api.resource.Resource> items)

Specified by:
  `matchesSafely` in class `org.hamcrest.TypeSafeMatcher<Collection<org.apache.sling.api.resource.Resource>>`

#### describeMismatchSafely

    protected void describeMismatchSafely​(Collection<org.apache.sling.api.resource.Resource> items,
                                          org.hamcrest.Description mismatchDescription)

Overrides:
  `describeMismatchSafely` in class `org.hamcrest.TypeSafeMatcher<Collection<org.apache.sling.api.resource.Resource>>`